Skip to main content
GET
Get recommended articles
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Query Parameters

page_number
integer

Page of results to retrieve, starting from 1. Defaults to 1 when omitted.

page_size
integer

Number of results per page. Defaults to 30 when omitted.

match_uri
string

URL path used to retrieve article recommendations. This should be the relative or full URL of the page for which you want to fetch contextually relevant article suggestions. Leave it out to list every recommendation.

Example:

"feedback"

Response

200 - application/json

OK - Request succeeded

recommendations
object[]
pagination
object